These docs are for v2.3. Click to read the latest docs for v3.0.

Add Asbestos to property

Sample Request:
POST /api/v2.0/properties/ALB01/asbestos
    
    This endpoint requires all data to be a JSON in the body of the request
    and Content-type header to be set to "application/json".
    
    Below are the corresponding values for each Asbestos Status
    
        1 - Confirmed
        2 - Suspected
        3 - Removed 
        4 - Deleted
        5 - Cloned
    
    body JSON:
    {
      "Location": "Bathroom",
      "ProductType": "Boards",
      "Condition": "Exposed",
      "SurfaceType": "Bath Panel",
      "AsbestosType": "Anthophyllite",
      "ActionPlan": "Removal",
      "Comments": "Test Asbestos added through api for Show and Tell",
      "Description": "A description about the asbestos itself",
      "LocationDescription": "A description of the specific location it is in",
      "SurveyType": "Asbestos Survey 1",
      "SampleDate": "23/05/2023",
      "FloorLevel": "3",
      "Status": "1"
    }
    
Sample Response:
{
   "isSuccess": true,
   "message": "Created Asbestos record on property 'ALB01'",
   "createdAsbestos": {
       "Id": "4d1b81f0-31ed-435a-914e-9478e5376809",
       "sampleDate": "15/05/2023 00:00",
       "location": "Bathroom",
       "productType": "Boards",
       "condition": "Exposed",
       "surfaceType": "Bath Panel",
       "asbestosType": "Anthophyllite",
       "actionPlan": "Removal",
       "comments": "Test Asbestos added through api",
       "description": "A description about the asbestos itself",
       "locationDescription": "A description of the specific location it is in",
       "surveyType": "Asbestos Survey 1",
       "floorLevel": "3",
       "status": "Confirmed"
   }
}

Required Permission(s): Property.View

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Uprn of the property

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json